#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int i, n, x;
    cin >> n >> x;
    int a[n + 1];
    a[n] = x;
    for(i = 0; i < n; i++){
        cin >> a[i];
    }
    sort(a, a + n + 1);
    if(abs(a[0] - x) > abs(a[n] - x)){
        cout << 2 * abs(a[n] - x) + abs(a[0] - x);
    }else{
        cout << 2 * abs(a[0] - x) + abs(a[n] - x);
    }
    return 0;
}